//----------------------------------------------------------------------------
/*
 * File: timer.h
 * - header file for timer.c
 * 
 * Part of Emulation of PMD 32 drive.
 * Based on MMC/SD/SDHC card library by Roland Riegel
 *   - http://www.roland-riegel.de/sd-reader/
 *
 * Author: Roman Brik { pmd85emu (at) gmail.com }
 * Web: http://pmd85.borik.net
 * Date: 15 Sep 2009
 * Version 1.3
*/
//----------------------------------------------------------------------------
#ifndef __TIMER_H__
#define __TIMER_H__
//----------------------------------------------------------------------------
#define TIMER_INTERVAL_MS       1
//----------------------------------------------------------------------------
typedef void (*timer_service_handler_t)(uint32_t ticks);
//----------------------------------------------------------------------------
void timer_init(void);
uint32_t timer_get_ticks(void);
void timer_wait_msecs(uint16_t msecs);
void timer_wait_secs(uint8_t secs);
void timer_add_service(timer_service_handler_t handler);
void timer_remove_service(timer_service_handler_t handler);
//----------------------------------------------------------------------------
#endif
//----------------------------------------------------------------------------
