//----------------------------------------------------------------------------
/*
 * File: ui.c
 * - header file for ui.c
 * 
 * Part of Emulation of PMD 32 drive.
 * Based on MMC/SD/SDHC card library by Roland Riegel
 *   - http://www.roland-riegel.de/sd-reader/
 *
 * Author: Roman Brik { pmd85emu (at) gmail.com }
 * Web: http://pmd85.borik.net
 * Date: 15 Sep 2009
 * Version 1.3
*/
//----------------------------------------------------------------------------
#ifndef __MENU_H__
#define __MENU_H__
//----------------------------------------------------------------------------
typedef struct {
  PGM_P name;
  int8_t value;
} MENU_ITEM;
//----------------------------------------------------------------------------
typedef struct {
  PGM_P menu_title;
  int8_t items_count;
  MENU_ITEM *items;
} MENU;
//----------------------------------------------------------------------------
void ui_wait_please(PGM_P title);
uint8_t ui_show_message(PGM_P line1, PGM_P line2);
int8_t ui_menu(MENU *menu, int8_t item_num);
uint8_t ui_select_file(PGM_P title, struct fat_fs_struct *fs, PGM_P ext,
                       char *out_file_path, uint8_t max_path_len, uint8_t dirs);
uint8_t ui_input_string(PGM_P title, char *out, uint8_t max_len);
//----------------------------------------------------------------------------
#endif
//----------------------------------------------------------------------------
